//
// returns non-normalized Fisher F function.
// Use normf(npar, nu) to get normalization factor.
//

#include "fit.h"

dbl fish(dbl f, int npar, int nu)
{
    dbl x;

    x = npar * f/(nu - npar) + 1.0;
    x = pow(x, 0.5 * nu);
    x = 1.0/x;
    if (npar > 2)
        x *= pow(f, ( 0.5 * npar - 1.0));
    return x;
}

