//
// gets options from the command line
// for the makefitfiles (mff) executable
//

#include "mff.h"

void get_mff_opts(int argc, char** argv)
{
    extern int opterr;
    opterr = true;
//    extern char *optarg;
    int i;
#ifdef __GLIBC__
    int opt_index = 0;
    static struct option long_opts[] = {
        {"help", 0, 0, 'h'},
        {"version", 0, 0, 'v'},
        {0, 0, 0, 0}
    };
#endif

    opterr = on;

    if (argc < 2) {              // need at least one argument
        prn_mff_usage(argv);
        exit(1);
    }
#ifdef __GLIBC__
    while ((i = getopt_long(argc, argv, "hv",
            long_opts, &opt_index)) != -1 ) {
#else
    while ((i = getopt(argc, argv, "hv")) != -1 ){
#endif
        switch (i) {
            case 'h':            // display help file
                prn_mff_info(argv);
                exit(0);
                break;
            case 'v':             // print version number
                cerr << argv[0] << " version " << version << "\n";
                exit(0);
                break;
            case '?':             // for unrecognized option
                prn_mff_usage(argv);
                exit( 1 );
                break;
            default:
                prn_mff_usage(argv);
                cerr << "default\n";
                exit( 1 );
        }
    }
}
